version: 1.7.19
files:
  - url: Cherry-Studio-1.7.19-arm64.AppImage
    sha512: A/705rZ1SN0t6qbtSBJ7974KlrVGlxahitRbbn5lEif6sRE8dci/IsFy8Kp6AB5aax0tGqy/8i33lx57J0Q2JQ==
    size: 165288146
    blockMapSize: 173086
  - url: Cherry-Studio-1.7.19-arm64.deb
    sha512: dn5YZ9dfAdH9nU9+0ozBe5zghyjS3N68Pym4fyRyagiQDcDmbAYET637uL6HmEENLFJO81kX0/L9iOLWMs80Zg==
    size: 121496060
  - url: Cherry-Studio-1.7.19-aarch64.rpm
    sha512: uLYaIxRe/U+z0naS3LnAIlSeRcrbLJVDw3JEGnxHt3zi6VVQIOvaDUS1HOjswFEUiTKOfj+/1zPzU1PdHDwwiA==
    size: 104967977
path: Cherry-Studio-1.7.19-arm64.AppImage
sha512: A/705rZ1SN0t6qbtSBJ7974KlrVGlxahitRbbn5lEif6sRE8dci/IsFy8Kp6AB5aax0tGqy/8i33lx57J0Q2JQ==
releaseNotes: |
  <!--LANG:en-->
  Cherry Studio 1.7.19 - Bug Fixes & Improvements

  🐛 Bug Fixes
  - [Settings] Fixed provider name input removing spaces during typing
  - [Data] Fixed factory reset not clearing agents, memories, knowledge base and notes data
  - [Data] Fixed backup restore failure on Windows (EBUSY error)
  - [MCP] Fixed MCP tools returning images exceeding API message size limits

  💄 Improvements
  - [Agent] Improved settings popup UI with better permission mode selection
  - [Models] Updated MiniMax models to the latest M2.x series

  <!--LANG:zh-CN-->
  Cherry Studio 1.7.19 - 问题修复与改进

  🐛 问题修复
  - [设置] 修复服务商名称输入时空格被立即移除的问题
  - [数据] 修复重置数据时未清除智能体、记忆、知识库和笔记数据的问题
  - [数据] 修复 Windows 上恢复备份失败的问题（EBUSY 错误）
  - [MCP] 修复 MCP 工具返回图片时超出 API 消息大小限制的问题

  💄 改进
  - [智能体] 优化设置弹窗界面，改进权限模式选择体验
  - [模型] 更新 MiniMax 模型至最新的 M2.x 系列
  <!--LANG:END-->
releaseDate: '2026-02-14T05:29:19.880Z'
